Subject: Win (Ch), ETen problem

From: H u a n g Yolin <[email-masked]>
Date: Sat, 21 Nov 1992 16:55:07 EST

1) I have installed a Microsoft Window Chinese version on a PC clone.
Works fine, without the ASCII version of the MS Window.  It's
awe-inspiring to see every bit of MicroSoft menu listed in Chinese.  But,
still need constant translation (on the fly in the head) back to its
original English titles; some are not easy to guess.  It would be easier
for me, if the Microsoft would include both Chinese and English, such as
"MuLu/Menu" or the like, in their future releases.  Guess the Window NT
Chinese version is due out pretty soon.

  A problem though: in the MS Window Chinese version, I couldn't find a
way to key in Chinese script in the package "XiaoZuoJia" (Little Scribe,
don't know the formal English title of this.)  Hope some one having
better luck can enlighten me.

2) The ETen 3.1 prints to HP Laserjet, with 6 different fonts.  pretty
good. (heard it can do simplified font as well, if bought extra.  guess
then, one will be able to have both traditional and simplified in the same
text, especially useful for those in the academia with strong publication
urge.)  There is a problem with print margin: since there is no printer
control code for margin, I resort to the "~Y...;" code, to pass control
code to printer.  I tried

~T24E;                  <- T24 select 24x24 font; E to do text ASCII
~FMX10;                 <- FM for Ming font; X10 set the character space
~Y6\1B\26\6120\4C;      <- pass \1B\26\6120\4C code to printer.

\1B\26\6120\4C = Esc & a 20 L, which in "HP PCL" means Left Margin at 20.
However this doesn't work for me.

the ~E is supposedly to pass ASCII as text (1 byte) instead of graphics
(several bytes from the ASCII font) to the printer.  However, this
doesn't work for me either.

Does any guru out there have got better results?

Thanks. ////////////////////